Loading...
Searching...
No Matches
io.hh File Reference
Common » Vectorization » Library Developer's Interface

IO interface of the SIMD abstraction. More...

`#include <ios>`
`#include <type_traits>`
`#include <dune/common/rangeutilities.hh>`
`#include <dune/common/simd/simd.hh>`
`#include <dune/common/typetraits.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::Simd
| Namespace for vectorization interface functions used by library developers.

## Functions

IO interface
Templates and functions in this group provide syntactic sugar for IO. They are implemented using the functionality from SimdInterfaceBase, and are not customizable by implementations.
template<class V>
auto | Dune::Simd::vio (const V &v)
| construct a stream inserter
template<class V>
auto | Dune::Simd::io (const V &v)
| construct a stream inserter

## Detailed Description

IO interface of the SIMD abstraction.

This file provides IO interface functions of the SIMD abstraction layer.

This file is intended for direct inclusion by header making use of the IO interface.